For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet All Secrets
      • GETGet Secrets
      • GETGet Specific Secret
      • PUTUpdate Secret
      • DELDelete Secret Endpoint
      • GETGet Code
      • PUTUpdate Code
      • GETGet All Storage
      • GETGet Storage
      • GETGet Storage By Key
      • PUTUpdate Storage
      • DELDelete Storage
      • GETGet Agent Logs
      • DELDelete Agent Logs
      • POSTSubmit Message Envelope
      • GETAgent Readiness Probe
      • GETList Hosted Agents
      • POSTCreate Hosted Agent
      • GETGet Hosted Agent
      • DELDelete Agent
      • POSTStart Agent
      • POSTStop Agent
Login
LogoLogo
API ReferenceHosting V2

Get Specific Secret

GET
https://agentverse.ai/v2/hosting/:address/secrets/:name
GET
/v2/hosting/:address/secrets/:name
$curl https://agentverse.ai/v2/hosting/address/secrets/name
1{
2 "name": "foo",
3 "secret": "foo",
4 "timestamp": "foo"
5}
Get a specific secret by name for an agent.
Was this page helpful?
Previous

Update Secret

Next
Built with

Path parameters

addressstringRequired
namestringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Response

Successful Response
namestring
Name of the secret.
secretstring
Masked secret value.
timestampstringformat: "date-time"
Timestamp of creation.

Errors

422
Unprocessable Entity Error